#!/usr/bin/env python3

# Copyright (C) 2012  Xyne
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# (version 2) as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

from Xac.common import *

default_options = {
  'args' : [],
  'class' : 'xac_code'
}

def convert_ansi(text, srcpath, chunks, outtype, options=default_options):
  """Convert ANSI output to HTML using "aha".

  http://ziz.delphigl.com/tool_aha.php
  https://github.com/theZiz/aha
  """

  if outtype == 'html':
    cmd = ['aha', '--no-header'] + options['args']
    try:
      cls = ' class="%s"' % options['class']
    except KeyError:
      cls = ''
  else:
    raise TypeError("unsupported output type: %s", outtype)

  for tag, data in chunks.items():
    if outtype == 'html':
      replacement = ('<pre%s>' % cls) + pipe2(cmd, data) + '</pre>'
    else:
      raise TypeError("unsupported output type: %s", outtype)
    text = text.replace('<p>' + tag + '</p>', replacement)
    text = text.replace(tag, replacement)
  return text
