#!/usr/bin/env python3
# -*- coding: utf-8 -*-

# This is a minimal example of a publishing script.

import Xac

def get_pandoc_template(xac, path):
  '''
  Return the simple template for all paths.
  '''
  return 'files/templates/simple.html'


def get_pandoc_args(
    xac,
    path,
    child_dirnames,
    child_filenames,
    sibling_dirnames,
    sibling_filenames,
    optargs,
    listing=True
):
  '''
  Return no additional arguments and no input.
  '''
  return [], None, None


# See the detailed comments in the default configuration file.
# Briefly, this just tells Xac to look for files in "files/simple" and publish
# them in the server root.
file_dirs={
  ('files/simple', None)
}


# Create the default Xac object.
xac = Xac.Xac(
  file_dirs,
  get_pandoc_template  = get_pandoc_template,
  get_pandoc_args      = get_pandoc_args,
)



if __name__ == '__main__':
  xac.publish_html()
